For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get access
Getting Started Key Concepts Integration Types Core Components Embed Hosted API API Reference
  • API Reference
      • GETRetrieve employer quote
      • GETList all employer quotes
      • GETRetrieve an employer policy
      • GETList all employer policies
      • GETRetrieve an employee offer
      • GETList all employee offers
      • GETList all employee policies
      • GETRetrieve an employee policy
    • Contribution Reports
    • Events and Webhooks
    • API Errors
Get access
LogoLogo
API ReferenceHealth Insurance

Retrieve an employer policy

GET
/employers/:employer_id/health_insurance/policies/:employer_policy_id
GET
/employers/:employer_id/health_insurance/policies/:employer_policy_id
$curl https://test.api.kota.io/employers/er_3b1333d87d9d4fd6ad83ba7f6b0e951a/health_insurance/policies/erhp_3b1333d87d9d4fd6ad83ba7f6b0e951a \
> -H "Authorization: Bearer <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "id": "erhp_3b1333d87d9d4fd6ad83ba7f6b0e951a",
3 "employer_id": "er_3b1333d87d9d4fd6ad83ba7f6b0e951a",
4 "start_date": "2024-01-01",
5 "end_date": "2024-12-31",
6 "status": "active",
7 "enrolment_type": "opt_in",
8 "renewal": {
9 "status": "open",
10 "renewal_date": "2024-11-15",
11 "window_start_date": "2024-10-01",
12 "window_end_date": "2024-11-30",
13 "decision_confirmed": false
14 },
15 "employer_cancellation_period_length": 30,
16 "coverage_levels": [
17 {
18 "plan_id": "pl_7f8e9d2a4c5b6a7d8e9f0a1b2c3d4e5f",
19 "plan_name": "Comprehensive Health Plus",
20 "plan_currency": "usd",
21 "provider_name": "HealthSecure Insurance Co.",
22 "provider_logo_url": "https://healthsecure.com/assets/logo.png",
23 "documents": [
24 {
25 "title": "Insurance Product Information Document",
26 "link": "https://healthsecure.com/docs/product-info.pdf"
27 },
28 {
29 "title": "Hospital Network List",
30 "link": "https://healthsecure.com/docs/hospital-list.pdf"
31 }
32 ],
33 "provider_employer_platform_url": "https://employer.healthsecure.com",
34 "provider_support_phone": "+1-800-555-1234"
35 }
36 ],
37 "object": "employer_health_insurance_policy",
38 "group_policy_number": "GP-2024-56789"
39}

Retrieve group’s health insurance policy for an employer by employer_policy_id.

Previous

List all employer quotes

Next

List all employer policies

Built with

Authentication

AuthorizationBearer
Authorization header using the Bearer scheme

Path parameters

employer_idstringRequiredformat: "er_.+"
employer_policy_idstringRequiredformat: "erhp_.+"

Response

OK
idstringformat: "erhp_.+"
Unique identifier for policy
employer_idstringformat: "er_.+"
The Id of the employer for which the policy is created
start_datedate
Policy starts on this date
end_datedate
Policy ends on this date
statusenum
Current status of policy
Allowed values:
enrolment_typeenum
Enrolment type of the policy
Allowed values:
renewalobject
Renewal information for the policy
employer_cancellation_period_lengthinteger
How many days the employer has to cancel the policy since the policy starts
coverage_levelslist of objects
Represents the available coverage levels for this policy
objectstringRead-only
The object type
cancellation_datedate or null
Policy was cancelled on this date, if cancellation occured
group_policy_numberstring or null

Group’s health insurance policy number, if available

Errors

404
Not Found Error